Browse Source

[CI] Stop testing lower-constraints and fix py27 job

This patch disables the lower-constraints job as it started
failing and we agreed during the PTG to drop it anyway. [1]

For Train and below additionally blacklist bandit 1.6.3 as
it was improperly released as a universal wheel. [2]

[1] http://lists.openstack.org/pipermail/openstack-discuss/2020-October/018445.html
[2] https://github.com/PyCQA/bandit/issues/663

Change-Id: Icfedd16ef9aed84e9f9be939e832c35e0d735efe
Depends-On: https://review.opendev.org/c/openstack/kolla-ansible/+/766180
(cherry picked from commit bc0a41cd02)
changes/43/766243/4
Radosław Piliszek 4 months ago
parent
commit
6b13e22c02
2 changed files with 1 additions and 2 deletions
  1. +0
    -1
      .zuul.d/project.yaml
  2. +1
    -1
      test-requirements.txt

+ 0
- 1
.zuul.d/project.yaml View File

@ -1,7 +1,6 @@
---
- project:
templates:
- openstack-lower-constraints-jobs
- openstack-python-jobs
- openstack-python36-jobs
- openstack-python37-jobs


+ 1
- 1
test-requirements.txt View File

@ -1,7 +1,7 @@
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
bandit>=1.1.0 # Apache-2.0
bandit!=1.6.3,>=1.1.0 # Apache-2.0
bashate>=0.5.1 # Apache-2.0
beautifulsoup4>=4.6.0 # MIT
coverage!=4.4,>=4.0 # Apache-2.0


Loading…
Cancel
Save